Bug 690483 - group config editor throws exception during group prop editing
group config editor throws exception during group prop editing
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-24 09:19 EDT by John Mazzitelli
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-03-24 09:19:06 EDT
1) Create a compatible group with one or more resources in it that support plugin configuration (this probably happens for resource config too)

2) Go to the group's Inventory>Connection Settings view

3) Click the pencil to edit one group config property

4) Type something in the "Set all values to:" text field

Notice a globally uncaught exception during step 4:

java.lang.IllegalStateException:PropertySimple[id=0, name=Pathname, value=j, override=true] has no parent.
--- STACK TRACE FOLLOWS ---
PropertySimple[id=0, name=Pathname, value=j, override=true] has no parent.
...
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_GroupConfigurationEditor_$getProperty__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_GroupConfigurationEditor_2Lorg_rhq_core_domain_configuration_Configuration_2Lorg_rhq_core_domain_configuration_Property_2Ljava_lang_Integer_2Lorg_rhq_core_domain_configuration_Property_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_GroupConfigurationEditor_updatePropertySimpleValue__Ljava_lang_Object_2Lorg_rhq_core_domain_configuration_PropertySimple_2Lorg_rhq_core_domain_configuration_definition_PropertyDefinitionSimple_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor$16_onChanged__Lcom_smartgwt_client_widgets_form_fields_events_ChangedEvent_2V
...
Comment 1 Ian Springer 2011-03-28 14:28:31 EDT
This is fixed by [master 16b8b02].
Comment 2 Sunil Kondkar 2011-05-11 06:22:46 EDT
Verified on rhq4 release build (Version: 4.0.0 Build Number: db0c817)

Verified in group connection properties and in configuration tab.
Entered a value in the "Set all values to:" text field. Clicked on 'Apply' and OK buttons. No exceptions are observed.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:13:39 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:13:39 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:13:43 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.